Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::StatusbarSignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Statusbar. More...

`#include <xfc/gtk/statusbarsignals.hh>`

Inheritance diagram for Xfc::Gtk::StatusbarSignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_text_pushed (unsigned int context_id, const String &text)
    Called whenever a new message gets pushed onto a statusbar's stack.
- virtual void on_text_popped (unsigned int context_id, const String &text)
    Called whenever a new message is popped off a statusbar's stack.

## Protected Member Functions

Constructors

- StatusbarSignals (Statusbar *statusbar)
    Constructs a new StatusbarSignals object.
- virtual ~StatusbarSignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Statusbar.

## Constructor & Destructor Documentation

Xfc::Gtk::StatusbarSignals::StatusbarSignals | ( | Statusbar * | statusbar | ) | `[protected]`

Constructs a new StatusbarSignals object.

Parameters:

  | statusbar | A Statusbar object inheriting the StatusbarSignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::StatusbarSignals::on_text_popped | ( | unsigned int | context_id,
|  | const String & | text
| ) | `[virtual]`

Called whenever a new message is popped off a statusbar's stack.

Parameters:

  | context_id | The context id of the relevant message.
  | text | The message that was just popped.

virtual void Xfc::Gtk::StatusbarSignals::on_text_pushed | ( | unsigned int | context_id,
|  | const String & | text
| ) | `[virtual]`

Called whenever a new message gets pushed onto a statusbar's stack.

Parameters:

  | context_id | The context id of the relevant message.
  | text | The message that was pushed.

The documentation for this class was generated from the following file:

- statusbarsignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3